Subject: [bug#56454] [PATCH] gnu: xonsh: Update to 0.13.0

From: Edison Ibáñez <[email-masked]>
Date: Mon, 11 Jul 2022 15:10:53 +0000

El 2022-07-10 16:54, Ludovic Courtès escribió:
> Hi,
> 
> Edison Ibáñez <[email-masked]> skribis:
> 
>>>>From 6aa6764e9b2c13e91afcd73f3725db9db446c699 Mon Sep 17 00:00:00 2001
>> From: arkhan <[email-masked]>
>> Date: Fri, 8 Jul 2022 09:52:54 -0500
>> Subject: [PATCH] gnu: update xonsh to 1.3.0
>>
>> ---
>>  gnu/packages/shells.scm | 17 +++++++++++------
> 
> [...]
> 
>> +    (version "0.13.0")
>>      (source
>>        (origin
>>          (method url-fetch)
>> @@ -554,15 +556,12 @@ (define-public xonsh
>>            (base32 "0xlac84nsgs0052n2pw8np1smlgghrbd7p6yrcp7d5qh8zdr9lx3"))
> 

Sorry, I missed it, I already sent the updated patch

> Look like you forgot to update the hash, which leads to:
> 
> --8<---------------cut here---------------start------------->8---
> downloading from
> https://files.pythonhosted.org/packages/source/x/xonsh/xonsh-0.13.0.tar.gz
> ...
>  xonsh-0.13.0.tar.gz  751KiB                           17.1MiB/s 00:00
> [##################] 100.0%
> sha256 hash mismatch for
> /gnu/store/jy4fj2bbgrmhi164z3qk6423mhdzma00-xonsh-0.13.0.tar.gz:
>   expected hash: 0xlac84nsgs0052n2pw8np1smlgghrbd7p6yrcp7d5qh8zdr9lx3
>   actual hash:   12ayz1kw2ag3r407j0lng2kfp75im8xqap1nvpmpa0lmsx8wk7ll
> hash mismatch for store item
> '/gnu/store/jy4fj2bbgrmhi164z3qk6423mhdzma00-xonsh-0.13.0.tar.gz'
> --8<---------------cut here---------------end--------------->8---
> 
>>      (inputs
>> -     (list python-ply))
>> +     (list python-distro
>> +           python-ply
>> +           python-pygments
>> +           python-pyperclip
>> +           python-setproctitle
>> +           python-setuptools
>> +           python-wheel))
> 
> ‘guix lint’ reports this:
> 
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env  guix lint xonsh
> gnu/packages/shells.scm:589:5: [email-masked]: 'python-setuptools'
> should probably not be an input at all
> --8<---------------cut here---------------end--------------->8---
> 
> Is setuptools used at run time?  If not, which is likely, it probably
> shouldn’t be there.
> 

python-setuptools and python-wheel are not required for run time but for
package build, so in patch update I moved them to native-inputs

> Could you send an updated patch?
> 
> Bonus points if you can provide a ChangeLog-style commit log.  :-)
> 
>   https://guix.gnu.org/manual/devel/en/html_node/Submitting-Patches.html
> 
> Thanks,
> Ludo’.

Thanks for taking the time to review this.
Edison.